<div style="margin-top: 20px;">
    <h5>
       <span jhiTranslate="mpmApp.unitDeliverable.home.title">Unit Deliverables</span>
    </h5>
    <p-dataTable
        [value]="unitDeliverables"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        dataKey="idDeliverable"
        expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.unitDeliverable.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                    <button type="button" class="input-group-addon flat-style-button" style="margin-left: 50px;"
                        [routerLink]="['/unit-deliverable/new']">
                        <span class="fa fa-plus"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'mpmApp.unitDeliverable.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDeliverable.idDeliverableType'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idDeliverableType | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDeliverable.description'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.description}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDeliverable.dateReceipt'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dateReceipt | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDeliverable.dateDelivery'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dateDelivery | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDeliverable.bastNumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.bastNumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDeliverable.name'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.name}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDeliverable.identityNumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.identityNumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDeliverable.cellPhone'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.cellPhone}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDeliverable.vehicleDocumentRequirement'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.vehicleDocumentRequirementId">
                    <a [routerLink]="['../vehicle-document-requirement', rowData.vehicleDocumentRequirementId  ]" >{{rowData.vehicleDocumentRequirementIdreq}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDeliverable.vndStatusType'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.vndStatusTypeId">
                    <a [routerLink]="['../status-type', rowData.vndStatusTypeId  ]" >{{rowData.vndStatusTypeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDeliverable.conStatusType'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.conStatusTypeId">
                    <a [routerLink]="['../status-type', rowData.conStatusTypeId  ]" >{{rowData.conStatusTypeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitDeliverable.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['/unit-deliverable', rowData.idDeliverable]"
                        icon="fa-eye"
                        class="flat-button"
                        [style]="{'height':'50px'}">
                </button>
                <button pButton type="submit"
                        [routerLink]="['/unit-deliverable/'+ rowData.idDeliverable + '/edit']"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idDeliverable)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>